@font-face {
    font-family: 'Roboto Condensed';
    font-style: normal;
    font-weight: 400;
    src: url('../fonts/roboto-condensed-v25-latin-regular.eot');
    src: local(''), url('../fonts/roboto-condensed-v25-latin-regular.eot?#iefix') format('embedded-opentype'), url('../fonts/roboto-condensed-v25-latin-regular.woff2') format('woff2'), url('../fonts/roboto-condensed-v25-latin-regular.woff') format('woff'), url('../fonts/roboto-condensed-v25-latin-regular.ttf') format('truetype'), url('../fonts/roboto-condensed-v25-latin-regular.svg#RobotoCondensed') format('svg');
}

@font-face {
    font-family: 'Roboto Condensed';
    font-style: normal;
    font-weight: 700;
    src: url('../fonts/roboto-condensed-v25-latin-700.eot');
    src: local(''), url('../fonts/roboto-condensed-v25-latin-700.eot?#iefix') format('embedded-opentype'), url('../fonts/roboto-condensed-v25-latin-700.woff2') format('woff2'), url('../fonts/roboto-condensed-v25-latin-700.woff') format('woff'), url('../fonts/roboto-condensed-v25-latin-700.ttf') format('truetype'), url('../fonts/roboto-condensed-v25-latin-700.svg#RobotoCondensed') format('svg');
}

@font-face {
    font-family: 'Roboto Condensed';
    font-style: italic;
    font-weight: 700;
    src: url('../fonts/roboto-condensed-v25-latin-700italic.eot');
    src: local(''), url('../fonts/roboto-condensed-v25-latin-700italic.eot?#iefix') format('embedded-opentype'), url('../fonts/roboto-condensed-v25-latin-700italic.woff2') format('woff2'), url('../fonts/roboto-condensed-v25-latin-700italic.woff') format('woff'), url('../fonts/roboto-condensed-v25-latin-700italic.ttf') format('truetype'), url('../fonts/roboto-condensed-v25-latin-700italic.svg#RobotoCondensed') format('svg');
}

:root {
    font-size: 16px;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html {
    min-height: 100%;
}

body {
    font-family: 'Roboto Condensed', Arial, sans-serif;
    font-weight: 400;
    font-size: 16px;
    line-height: 25px;
    color: #000;
}

#wrapper {
    margin: 1rem auto;
    max-width: 670px;
    background: #fff;
    border: 5px solid #f6d800;
    position: relative;
}

header img {
    display: block;
    width: 100%;
}

.position {
    position: absolute;
    left: 20px;
    top: 181px;
}

hr {
    border: none;
    width: 115px;
    height: 6px;
    background: #f6d800;
    display: block;
    margin: 10px 0;
}

article {
    padding: 16px 20px 4px;
}

.flex-box {
    display: flex;
    gap: 12px;
    justify-content: space-between;
}

.flex-box-content {
    width: 52%;
}

.margin-bottom {
    margin-bottom: 0;
}

:is(h1, h2, strong) {
    font-weight: 700;
}

:is(h1, h2) {
    line-height: 1.1;
}

h1 {
    font-size: 32px;
    margin: 0 0 10px;
    color: #fff;
    text-shadow: 3px 3px 11px #000000;
}

h1 span {
    font-size: 20px;
    font-weight: 400;
}

h1 small {
    font-size: 20px;
    display: block;
    margin-top: 5px;
    font-weight: 400;
}

h2 {
    font-size: 24px;
    color: #ffd105;
    font-style: italic;
}

p {
    margin-bottom: 8px;
}

:is(a:link, a:visited, a:hover, a:active) {
    color: #000;
    text-decoration: none;
}

img {
    max-width: 100%;
}

.big {
    font-size: 120%;
}

footer {
    padding: 0 0 0 20px;
}

.footer-flex {
    display: flex;
    justify-content: space-between;
    gap: 10px;
}

.footer-flex-content:nth-of-type(1) {
    width: 48%;
}

.footer-flex-content:nth-of-type(2) {
    width: 51%;
    background: #ffd105;
    padding: 10px 20px;
}

@media screen and (max-width: 669px) {
    #wrapper {
        border: none;
        margin: 0;
    }

    .position {
        top: 150px;
    }

    :is(h1, h2, p) {
        hyphens: auto;
        text-wrap: pretty;
    }

    :is(p a, span) {
        white-space: nowrap;
    }

    br:not(br.mobile-block, h1 br) {
        display: none;
    }
}

@media screen and (max-width: 595px) {
    body {
        text-align: center;
    }

    hr {
        margin: 10px auto !important;
    }

    .position {
        position: static;
        padding: 20px;
        background: #695845;
    }

    :is(.flex-box, .footer-flex) {
        flex-direction: column;
        align-items: center;
    }

    :is(.flex-box-content, .footer-flex-content) {
        width: auto !important;
    }

    footer {
        padding: 0 20px 20px;
    }
}